### Constructor

# Gtk BoolFilter new

#### Declaration [src]

    GtkBoolFilter*
    gtk_bool_filter_new (
      GtkExpression* expression
    )

#### Description [src]

Creates a new bool filter.

#### Parameters

`expression` | `GtkExpression`
| The expression to evaluate.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `GtkBoolFilter`
| A new `GtkBoolFilter`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.